/**
 * Test case for apemanInfr.
 * Runs with mocha.
 */
"use strict";

const apemanInfr = require('../lib/apeman_infr'),
    assert = require('assert');

describe('apeman-infr', () => {

    before((done) => {
        done();
    });

    after((done) => {
        done();
    });

    let Apemanfile = require.resolve('../doc/mocks/mock-project/Apemanfile');

    it('Build a infra', (done) => {
        apemanInfr({
            pattern: 'mock-node-infra',
            configuration: Apemanfile
        }, (err) => {
            assert.ifError(err);
            done();
        });
    });

    it('List infra', (done) => {
        apemanInfr({
            configuration: Apemanfile,
            list:true
        }, (err) => {
            assert.ifError(err);
            done();
        });
    });

    it('Remove a infra', (done) => {
        apemanInfr({
            pattern: 'mock-node-infra',
            delete: true,
            configuration: Apemanfile,
            force: true
        }, (err) => {
            assert.ifError(err);
            done();
        });
    });
});

